NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Formboard.UpdateFormboardBuilder Class Reference

Class that performs the "update" of Formboard geometry. More...

Inheritance diagram for NXOpen.Formboard.UpdateFormboardBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void CreateBendsOfRadialBends ()
 Creates bends for radial bends after all discrepanices have been fixed. More...
 
unsafe void DetermineDiscrepancies ()
 Once the mapping has been determined, this method can find any discrepancies between the 3D harness and the formboard. More...
 
unsafe void FindMapping ()
 Compute the mapping between the data in the formboard and the data in the 3D harness. More...
 
unsafe
NXOpen.Formboard.UpdateDiscrepancy 
GetDiscrepancy (int index)
 Returns the discrepancy at the given index. More...
 
unsafe NXOpen.Part GetHarnessPart ()
 Gets the 3D harness part file to compare the formboard against. More...
 
unsafe int GetNumberOfDiscrepancies ()
 Returns the number of discrepancies discovered by the Formboard.UpdateFormboardBuilder.DetermineDiscrepancies . More...
 
unsafe void RemoveBendsOfRadialBends ()
 Removes bends in all radial bends and replaces them with a linear segment going from the anchor to the free RCP of each radial bend. More...
 
unsafe void SetHarnesses (NXOpen.Routing.Electrical.HarnessDevice[] harnesses)
 Sets the harnesses within the harness part that the formboard must be compared with. More...
 
unsafe void SetHarnessPart (NXOpen.Part harnessPart)
 Sets the 3D harness part file to compare the formboard against. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Formboard.LayoutLengthOptions 
LengthOptions [get]
 Returns the length options for the update operation. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Class that performs the "update" of Formboard geometry.

To create a new instance of this class, use NXOpen.Formboard.FormboardManager.CreateUpdateFormboardBuilder

Created in NX7.5.0

Member Function Documentation

unsafe void NXOpen.Formboard.UpdateFormboardBuilder.CreateBendsOfRadialBends ( )
inline

Creates bends for radial bends after all discrepanices have been fixed.

This routine should be called in conjunction with RemoveBendsOfRadialBends.

Created in NX7.5.5

License requirements: routing_harness ("Routing Harness")

unsafe void NXOpen.Formboard.UpdateFormboardBuilder.DetermineDiscrepancies ( )
inline

Once the mapping has been determined, this method can find any discrepancies between the 3D harness and the formboard.

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

unsafe void NXOpen.Formboard.UpdateFormboardBuilder.FindMapping ( )
inline

Compute the mapping between the data in the formboard and the data in the 3D harness.

This method can take a very long time to execute.

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

unsafe NXOpen.Formboard.UpdateDiscrepancy NXOpen.Formboard.UpdateFormboardBuilder.GetDiscrepancy ( int  index)
inline

Returns the discrepancy at the given index.

The index must be 0 to Formboard.UpdateFormboardBuilder.GetNumberOfDiscrepancies .

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

Parameters
index
Returns
unsafe NXOpen.Part NXOpen.Formboard.UpdateFormboardBuilder.GetHarnessPart ( )
inline

Gets the 3D harness part file to compare the formboard against.

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

Returns
unsafe int NXOpen.Formboard.UpdateFormboardBuilder.GetNumberOfDiscrepancies ( )
inline

Returns the number of discrepancies discovered by the Formboard.UpdateFormboardBuilder.DetermineDiscrepancies .

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

Returns
unsafe void NXOpen.Formboard.UpdateFormboardBuilder.RemoveBendsOfRadialBends ( )
inline

Removes bends in all radial bends and replaces them with a linear segment going from the anchor to the free RCP of each radial bend.

This is done before fixing discrepancies because presence of bends in radial bend causes problems. The bends of radial bends are recreated after the discrepancies have been fixed using CreateBendsOfRadialBends

Created in NX7.5.5

License requirements: routing_harness ("Routing Harness")

unsafe void NXOpen.Formboard.UpdateFormboardBuilder.SetHarnesses ( NXOpen.Routing.Electrical.HarnessDevice[]  harnesses)
inline

Sets the harnesses within the harness part that the formboard must be compared with.

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

Parameters
harnessesHarnesses to compare against.
unsafe void NXOpen.Formboard.UpdateFormboardBuilder.SetHarnessPart ( NXOpen.Part  harnessPart)
inline

Sets the 3D harness part file to compare the formboard against.

This clears any discrepancies that have been discovered against the previous harness part.

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

Parameters
harnessPart

Property Documentation

unsafe NXOpen.Formboard.LayoutLengthOptions NXOpen.Formboard.UpdateFormboardBuilder.LengthOptions
get

Returns the length options for the update operation.

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.